uap-analizador de git en Amazon EMR

Soy nuevo en Scala y no sé cómo hacerlo. En R, todo lo que tendría que hacer para instalar un repository git es:

install_github(...) 

Necesito instalar https://github.com/ua-parser/uap-scala en Amazon EMR, esto es lo que he hecho hasta ahora:

 // Install Sbt sudo yum -y install sbt //Install git sudo yum -y install git // Clone git repo git clone https://github.com/ua-parser/uap-scala.git //Go to path where scala files are located cd uap-scala/src/main/scala/ua/parser sbt compile 

Obtuve el siguiente error:

 > compile [info] Compiling 8 Scala sources to /home/hadoop/uap-scala/src/main/scala/ua/parser/target/scala-2.10/classes... [error] /home/hadoop/uap-scala/src/main/scala/ua/parser/CachingParser.scala:5: object twitter is not a member of package com [error] import com.twitter.util.LruMap [error] ^ [error] /home/hadoop/uap-scala/src/main/scala/ua/parser/CachingParser.scala:8: not found: type LruMap [error] lazy val clients = new LruMap[String, Client](size) [error] ^ [error] /home/hadoop/uap-scala/src/main/scala/ua/parser/Parser.scala:5: object yaml is not a member of package org [error] import org.yaml.snakeyaml.Yaml [error] ^ [error] /home/hadoop/uap-scala/src/main/scala/ua/parser/Parser.scala:20: not found: type Yaml [error] val yaml = new Yaml(new SafeConstructor) [error] ^ [error] /home/hadoop/uap-scala/src/main/scala/ua/parser/Parser.scala:6: object yaml is not a member of package org [error] import org.yaml.snakeyaml.constructor.SafeConstructor [error] ^ [error] 5 errors found [error] (compile:compileIncremental) Comstacktion failed 

Parece un problema de dependencia. ¿Cómo instalar estas dependencies? Por favor guía sobre cómo resolver esto. ¿Hay algún ejemplo en el que alguien haya configurado esto?

Intereting Posts